org.springframework.web.reactive.function.client

## Class UnknownHttpStatusCodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.web.reactive.function.client.WebClientException
          - - org.springframework.web.reactive.function.client.WebClientResponseException
            - - org.springframework.web.reactive.function.client.UnknownHttpStatusCodeException

All Implemented Interfaces:
  Serializable

    public class UnknownHttpStatusCodeException
    extends WebClientResponseException

Exception thrown when an unknown (or custom) HTTP status code is received.

Since:
  5.1
Author:
  Brian Clozel
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.springframework.web.reactive.function.client.WebClientResponseException

`WebClientResponseException.BadGateway, WebClientResponseException.BadRequest, WebClientResponseException.Conflict, WebClientResponseException.Forbidden, WebClientResponseException.GatewayTimeout, WebClientResponseException.Gone, WebClientResponseException.InternalServerError, WebClientResponseException.MethodNotAllowed, WebClientResponseException.NotAcceptable, WebClientResponseException.NotFound, WebClientResponseException.NotImplemented, WebClientResponseException.ServiceUnavailable, WebClientResponseException.TooManyRequests, WebClientResponseException.Unauthorized, WebClientResponseException.UnprocessableEntity, WebClientResponseException.UnsupportedMediaType`

### Constructor Summary

Constructors
Constructor and Description
`UnknownHttpStatusCodeException(int statusCode, org.springframework.http.HttpHeaders headers, byte[] responseBody, Charset responseCharset)` Create a new instance of the `UnknownHttpStatusCodeException` with the given parameters.
`UnknownHttpStatusCodeException(int statusCode, org.springframework.http.HttpHeaders headers, byte[] responseBody, Charset responseCharset, org.springframework.http.HttpRequest request)` Create a new instance of the `UnknownHttpStatusCodeException` with the given parameters.

### Method Summary

### Methods inherited from class org.springframework.web.reactive.function.client.WebClientResponseException

`create, create, getHeaders, getRawStatusCode, getRequest, getResponseBodyAsByteArray, getResponseBodyAsString, getStatusCode, getStatusText`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnknownHttpStatusCodeException

    public UnknownHttpStatusCodeException(int statusCode,
                                          org.springframework.http.HttpHeaders headers,
                                          byte[] responseBody,
                                          Charset responseCharset)

Create a new instance of the `UnknownHttpStatusCodeException` with the given parameters.

#### UnknownHttpStatusCodeException

    public UnknownHttpStatusCodeException(int statusCode,
                                          org.springframework.http.HttpHeaders headers,
                                          byte[] responseBody,
                                          Charset responseCharset,
                                          @Nullable
                                          org.springframework.http.HttpRequest request)

Create a new instance of the `UnknownHttpStatusCodeException` with the given parameters.

Since:
  5.1.4